//
// $Id: Server_Task.cpp 76641 2007-01-26 18:25:17Z elliott_c $
//
#include "Server_Task.h"

ACE_RCSID(AMI_Latency, Server_Task, "$Id: Server_Task.cpp 76641 2007-01-26 18:25:17Z elliott_c $")

Server_Task::Server_Task (CORBA::ORB_ptr orb)
  : orb_ (CORBA::ORB::_duplicate (orb))
{
}

int
Server_Task::svc (void)
{
  try
    {
      this->orb_->run ();
    }
  catch (const CORBA::Exception&){}
  return 0;
}
